# 43. Запрос: получить "Fields"

Запрос для получения пользователского "Fields" с фильтрами по `меткам`, `farmUuid`, `fieldUuid`, `имени_поля`. Поля возвращаются в алфавитном порядке по имени поля.&#x20;

Фильтр поля работает как условие AND, например, возможно фильтровать по `farmUuid` и по `fieldUuid` и по `меткам` и по `имени_поля` в одном запросе или использовать только одно условие фильтра или не использовать условие.&#x20;

Фильтр по `имени_поля` работает как `начинается_с`.&#x20;

Чтобы реализовать логику постраничного вывода, используйте параметр запроса `размерСтраницы`. Есть `последнийОцененныйКлюч` и `общееКоличество` в ответе, где `последнийОцененныйКлюч` относится к последней обработанной записи, соответствующей условию фильтра, и `общееКоличество` является общим числом записей, которые соответствуют условиям фильтрации.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      название
      labels {
        название
        value
      }
      общееКоличество
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/43.-zapros-poluchit-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
